# updateStoreCatalogItems - Update Store Catalog Items for a given channel

Description

Updates the store catalog items for a specific channel with the provided product IDs.

Behavior:
- If the specified store does not exist in Mirakl Connect, a 404 error is returned.
- This is an asynchronous operation - the request is accepted and processed in the background.
- Products that do not exist in Mirakl Connect are silently ignored (no error returned when the request is accepted).
- Successfully matched products will be updated regardless of unmatched products in the same request.



Call Frequency

Recommended usage: 20 per second
Maximum usage: 30 per second

Endpoint: POST /v1/channel-catalog/{channel_id}/store-catalog-items/{store_id}
Security: Bearer

## Path parameters:

  - `channel_id` (string, required)
    Connect Channel identifier

  - `store_id` (string, required)
    Store identifier in the channel

## Request fields (application/json; charset=UTF-8):

  - `store_catalog_items` (array, required)

  - `store_catalog_items.id` (string, required)
    The item identifier of the store catalog item.

  - `store_catalog_items.offer_diagnostics` (array,null)
    A list of diagnostics related to the offer status of the store catalog item, this list should reflect all the current active diagnostics. Use an empty list to clear all the diagnostics.

  - `store_catalog_items.offer_diagnostics.channel_attribute_id` (string,null)
    The identifier of the channel attribute related to the diagnostic.

  - `store_catalog_items.offer_diagnostics.channel_diagnostic_id` (string,null)
    The diagnostic identifier in the channel.

  - `store_catalog_items.offer_diagnostics.message` (string, required)
    The diagnostic message.

  - `store_catalog_items.offer_diagnostics.connector_override_action` (string,null)
    Enum: "REMOVED", null

  - `store_catalog_items.offer_status` (string)
    The status of the offer in the channel. Possible values are:
- OFFER_ACTIVE: The offer is active and visible in the channel.
Only price, stock and offer specific information updates will be sent from now on.
(no product or offer creation will be sent from connect once an offer is declared as active).
- OFFER_DOES_NOT_EXIST: The offer is not found in the channel.
An offer creation attempt will be sent.
- ACTION_REQUIRED: The offer requires an action, such as updates or fixes, before it can be active.
An offer creation will be retried after the action.


Enum: "OFFER_ACTIVE", "OFFER_DOES_NOT_EXIST", "ACTION_REQUIRED"

  - `store_catalog_items.product_diagnostics` (array,null)
    A list of diagnostics related to the product status of the store catalog item, this list should reflect all the current active diagnostics. Use an empty list to clear all the diagnostics.

  - `store_catalog_items.product_status` (string)
    The status of the product in the channel. Possible values are:
- PRODUCT_DOES_NOT_EXIST: The product is not found in the channel.
- PRODUCT_PENDING_APPROVAL: The product has been submitted and is waiting for approval in the channel.
- PRODUCT_REFUSED: The product was reviewed but rejected by the channel.
- PRODUCT_CREATED: The product exists and has been successfully created in the channel.
- ACTION_REQUIRED: The product requires an action, such as updates or fixes, before it can proceed.


Enum: "PRODUCT_DOES_NOT_EXIST", "PRODUCT_PENDING_APPROVAL", "PRODUCT_REFUSED", "PRODUCT_CREATED", "ACTION_REQUIRED"

  - `store_catalog_items.diagnostics` (array,null)
    A list of general diagnostics related to the store catalog item (deprecated use offer_diagnostics instead).


## Response 202 fields

## Response 400 fields

## Response 404 fields
